Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml
Class SbmlConstants

Direct Known Subclasses:
  SbmlSupport

public class SbmlConstants

Field Summary
`final static String` | `ANNOTATION_ELEMENT`
`final static String` | `ASSIGNEMENT_ELEMENT`
`final static String` | `ASSIGNEMENT_LIST_ELEMENT`
`final static String` | `ASSIGNEMENT_VARIABLE_ATTR`
`final static String` | `BIOUML_COMPARTMENT_INFO_ELEMENT`
`final static String` | `BIOUML_EDGE_INFO_ELEMENT`
`final static String` | `BIOUML_NODE_INFO_ELEMENT`
`final static String` | `BIOUML_SPECIE_INFO_ELEMENT`
`final static String` | `BIOUML_SPECIE_TYPE_ATTR`
`final static String` | `BIOUML_XMLNS_ATTR`
`final static String` | `BIOUML_XMLNS_VALUE`
`final static String` | `COMPARTMENT_ATTR`
`final static String` | `COMPARTMENT_DIMENTION_ATTR`
`final static String` | `COMPARTMENT_ELEMENT`
`final static String` | `COMPARTMENT_LIST_ELEMENT`
`final static String` | `COMPARTMENT_OUTSIDE_ATTR`
`final static String` | `COMPARTMENT_VOLUME_ATTR`
`final static String` | `CONSTANT_ATTR`
`final static String` | `DELAY_ELEMENT`
`final static String` | `DENOMINATOR_ATTR`
`final static String` | `EVENT_ELEMENT`
`final static String` | `EVENT_LIST_ELEMENT`
`final static String` | `FORMULA_ATTR`
`final static String` | `FUNCTION_DEFINITION_ELEMENT`
`final static String` | `FUNCTION_LIST_ELEMENT`
`final static String` | `ID_ATTR`
`final static String` | `KINETIC_LAW_ELEMENT`
`final static String` | `MATH_ATTR`
`final static String` | `MATH_ELEMENT`
`final static String` | `MODEL_ELEMENT`
`final static String` | `MODIFIER_LIST_ELEMENT`
`final static String` | `NAME_ATTR`
`final static String` | `NOTES_ELEMENT`
`final static String` | `PARAMETER_ELEMENT`
`final static String` | `PARAMETER_LIST_ELEMENT`
`final static String` | `PARAMETER_VALUE_ATTR`
`final static String` | `PRODUCT_LIST_ELEMENT`
`final static String` | `PRODUCT_STUB`
`final static String` | `REACTANT_LIST_ELEMENT`
`final static String` | `REACTANT_STUB`
`final static String` | `REACTION_ELEMENT`
`final static String` | `REACTION_FAST_ATTR`
`final static String` | `REACTION_LIST_ELEMENT`
`final static String` | `REACTION_REVERSIBLE_ATTR`
`final static String` | `RULE_ALGEBRAIC_ELEMENT`
`final static String` | `RULE_ASSIGNEMENT_ELEMENT`
`final static String` | `RULE_COMMENT_ATTR`
`final static String` | `RULE_COMPARTMENT_VOLUME_ELEMENT`
`final static String` | `RULE_FORMULA_ATTR`
`final static String` | `RULE_LIST_ELEMENT`
`final static String` | `RULE_PARAMETER_ELEMENT`
`final static String` | `RULE_RATE_ELEMENT`
`final static String` | `RULE_SPECIE_CONCENTRATION_ELEMENT`
`final static String` | `RULE_VARIABLE_ATTR`
`final static String` | `SBML_ELEMENT`
`final static String` | `SBML_LEVEL_ATTR`
`final static String` | `SBML_LEVEL_VALUE_1`
`final static String` | `SBML_LEVEL_VALUE_2`
`final static String` | `SBML_VERSION_ATTR`
`final static String` | `SBML_VERSION_VALUE_1`
`final static String` | `SBML_VERSION_VALUE_2`
`final static String` | `SBML_XMLNS_VALUE`
`final static String` | `SPECIE_ATTR`
`final static String` | `SPECIE_ATTR_11`
`final static String` | `SPECIE_BOUNDARY_CONDITION_ATTR`
`final static String` | `SPECIE_CHARGE_ATTR`
`final static String` | `SPECIE_DEFAULT_SUBSTANCE_UNITS`
`final static String` | `SPECIE_ELEMENT`
`final static String` | `SPECIE_ELEMENT_11`
`final static String` | `SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR`
`final static String` | `SPECIE_INITIAL_AMOUNT_ATTR`
`final static String` | `SPECIE_INITIAL_CONCENTRATION_ATTR`
`final static String` | `SPECIE_LIST_ELEMENT`
`final static String` | `SPECIE_REFERENCE_ELEMENT`
`final static String` | `SPECIE_REFERENCE_ELEMENT_11`
`final static String` | `SPECIE_SPATIAL_SIZE_UNITS_ATTR`
`final static String` | `SPECIE_SUBSTANCE_UNITS_ATTR`
`final static String` | `STOICHIOMETRY_ATTR`
`final static String` | `STOICHIOMETRY_MATH_ELEMENT`
`final static String` | `SUBSTANCE_UNITS_ATTR`
`final static String` | `TIME_UNITS_ATTR`
`final static String` | `TRIGGER_ELEMENT`
`final static String` | `TYPE_ATTR`
`final static String` | `UNIT_LIST_ELEMENT`
`final static String` | `UNIT_SUBSTANCE`
`final static String` | `UNIT_TIME`
`final static String` | `UNIT_VOLUME`
`final static String` | `UNITS_ATTR`
`final static String` | `XMLNS_ATTR`

Method Summary
`final static String` | `DEFAULT_SPATIAL_SIZE_UNITS(int dimention)`

Field Detail

### ANNOTATION_ELEMENT

    public final static String ANNOTATION_ELEMENT

### ASSIGNEMENT_ELEMENT

    public final static String ASSIGNEMENT_ELEMENT

### ASSIGNEMENT_LIST_ELEMENT

    public final static String ASSIGNEMENT_LIST_ELEMENT

### ASSIGNEMENT_VARIABLE_ATTR

    public final static String ASSIGNEMENT_VARIABLE_ATTR

### BIOUML_COMPARTMENT_INFO_ELEMENT

    public final static String BIOUML_COMPARTMENT_INFO_ELEMENT

### BIOUML_EDGE_INFO_ELEMENT

    public final static String BIOUML_EDGE_INFO_ELEMENT

### BIOUML_NODE_INFO_ELEMENT

    public final static String BIOUML_NODE_INFO_ELEMENT

### BIOUML_SPECIE_INFO_ELEMENT

    public final static String BIOUML_SPECIE_INFO_ELEMENT

### BIOUML_SPECIE_TYPE_ATTR

    public final static String BIOUML_SPECIE_TYPE_ATTR

### BIOUML_XMLNS_ATTR

    public final static String BIOUML_XMLNS_ATTR

### BIOUML_XMLNS_VALUE

    public final static String BIOUML_XMLNS_VALUE

### COMPARTMENT_ATTR

    public final static String COMPARTMENT_ATTR

### COMPARTMENT_DIMENTION_ATTR

    public final static String COMPARTMENT_DIMENTION_ATTR

### COMPARTMENT_ELEMENT

    public final static String COMPARTMENT_ELEMENT

### COMPARTMENT_LIST_ELEMENT

    public final static String COMPARTMENT_LIST_ELEMENT

### COMPARTMENT_OUTSIDE_ATTR

    public final static String COMPARTMENT_OUTSIDE_ATTR

### COMPARTMENT_VOLUME_ATTR

    public final static String COMPARTMENT_VOLUME_ATTR

### CONSTANT_ATTR

    public final static String CONSTANT_ATTR

### DELAY_ELEMENT

    public final static String DELAY_ELEMENT

### DENOMINATOR_ATTR

    public final static String DENOMINATOR_ATTR

### EVENT_ELEMENT

    public final static String EVENT_ELEMENT

### EVENT_LIST_ELEMENT

    public final static String EVENT_LIST_ELEMENT

### FORMULA_ATTR

    public final static String FORMULA_ATTR

### FUNCTION_DEFINITION_ELEMENT

    public final static String FUNCTION_DEFINITION_ELEMENT

### FUNCTION_LIST_ELEMENT

    public final static String FUNCTION_LIST_ELEMENT

### ID_ATTR

    public final static String ID_ATTR

### KINETIC_LAW_ELEMENT

    public final static String KINETIC_LAW_ELEMENT

### MATH_ATTR

    public final static String MATH_ATTR

### MATH_ELEMENT

    public final static String MATH_ELEMENT

### MODEL_ELEMENT

    public final static String MODEL_ELEMENT

### MODIFIER_LIST_ELEMENT

    public final static String MODIFIER_LIST_ELEMENT

### NAME_ATTR

    public final static String NAME_ATTR

### NOTES_ELEMENT

    public final static String NOTES_ELEMENT

### PARAMETER_ELEMENT

    public final static String PARAMETER_ELEMENT

### PARAMETER_LIST_ELEMENT

    public final static String PARAMETER_LIST_ELEMENT

### PARAMETER_VALUE_ATTR

    public final static String PARAMETER_VALUE_ATTR

### PRODUCT_LIST_ELEMENT

    public final static String PRODUCT_LIST_ELEMENT

### PRODUCT_STUB

    public final static String PRODUCT_STUB

### REACTANT_LIST_ELEMENT

    public final static String REACTANT_LIST_ELEMENT

### REACTANT_STUB

    public final static String REACTANT_STUB

### REACTION_ELEMENT

    public final static String REACTION_ELEMENT

### REACTION_FAST_ATTR

    public final static String REACTION_FAST_ATTR

### REACTION_LIST_ELEMENT

    public final static String REACTION_LIST_ELEMENT

### REACTION_REVERSIBLE_ATTR

    public final static String REACTION_REVERSIBLE_ATTR

### RULE_ALGEBRAIC_ELEMENT

    public final static String RULE_ALGEBRAIC_ELEMENT

### RULE_ASSIGNEMENT_ELEMENT

    public final static String RULE_ASSIGNEMENT_ELEMENT

### RULE_COMMENT_ATTR

    public final static String RULE_COMMENT_ATTR

### RULE_COMPARTMENT_VOLUME_ELEMENT

    public final static String RULE_COMPARTMENT_VOLUME_ELEMENT

### RULE_FORMULA_ATTR

    public final static String RULE_FORMULA_ATTR

### RULE_LIST_ELEMENT

    public final static String RULE_LIST_ELEMENT

### RULE_PARAMETER_ELEMENT

    public final static String RULE_PARAMETER_ELEMENT

### RULE_RATE_ELEMENT

    public final static String RULE_RATE_ELEMENT

### RULE_SPECIE_CONCENTRATION_ELEMENT

    public final static String RULE_SPECIE_CONCENTRATION_ELEMENT

### RULE_VARIABLE_ATTR

    public final static String RULE_VARIABLE_ATTR

### SBML_ELEMENT

    public final static String SBML_ELEMENT

### SBML_LEVEL_ATTR

    public final static String SBML_LEVEL_ATTR

### SBML_LEVEL_VALUE_1

    public final static String SBML_LEVEL_VALUE_1

### SBML_LEVEL_VALUE_2

    public final static String SBML_LEVEL_VALUE_2

### SBML_VERSION_ATTR

    public final static String SBML_VERSION_ATTR

### SBML_VERSION_VALUE_1

    public final static String SBML_VERSION_VALUE_1

### SBML_VERSION_VALUE_2

    public final static String SBML_VERSION_VALUE_2

### SBML_XMLNS_VALUE

    public final static String SBML_XMLNS_VALUE

### SPECIE_ATTR

    public final static String SPECIE_ATTR

### SPECIE_ATTR_11

    public final static String SPECIE_ATTR_11

### SPECIE_BOUNDARY_CONDITION_ATTR

    public final static String SPECIE_BOUNDARY_CONDITION_ATTR

### SPECIE_CHARGE_ATTR

    public final static String SPECIE_CHARGE_ATTR

### SPECIE_DEFAULT_SUBSTANCE_UNITS

    public final static String SPECIE_DEFAULT_SUBSTANCE_UNITS

### SPECIE_ELEMENT

    public final static String SPECIE_ELEMENT

### SPECIE_ELEMENT_11

    public final static String SPECIE_ELEMENT_11

### SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR

    public final static String SPECIE_HAS_ONLY_SUBSTANCE_UNITS_ATTR

### SPECIE_INITIAL_AMOUNT_ATTR

    public final static String SPECIE_INITIAL_AMOUNT_ATTR

### SPECIE_INITIAL_CONCENTRATION_ATTR

    public final static String SPECIE_INITIAL_CONCENTRATION_ATTR

### SPECIE_LIST_ELEMENT

    public final static String SPECIE_LIST_ELEMENT

### SPECIE_REFERENCE_ELEMENT

    public final static String SPECIE_REFERENCE_ELEMENT

### SPECIE_REFERENCE_ELEMENT_11

    public final static String SPECIE_REFERENCE_ELEMENT_11

### SPECIE_SPATIAL_SIZE_UNITS_ATTR

    public final static String SPECIE_SPATIAL_SIZE_UNITS_ATTR

### SPECIE_SUBSTANCE_UNITS_ATTR

    public final static String SPECIE_SUBSTANCE_UNITS_ATTR

### STOICHIOMETRY_ATTR

    public final static String STOICHIOMETRY_ATTR

### STOICHIOMETRY_MATH_ELEMENT

    public final static String STOICHIOMETRY_MATH_ELEMENT

### SUBSTANCE_UNITS_ATTR

    public final static String SUBSTANCE_UNITS_ATTR

### TIME_UNITS_ATTR

    public final static String TIME_UNITS_ATTR

### TRIGGER_ELEMENT

    public final static String TRIGGER_ELEMENT

### TYPE_ATTR

    public final static String TYPE_ATTR

### UNIT_LIST_ELEMENT

    public final static String UNIT_LIST_ELEMENT

### UNIT_SUBSTANCE

    public final static String UNIT_SUBSTANCE

### UNIT_TIME

    public final static String UNIT_TIME

### UNIT_VOLUME

    public final static String UNIT_VOLUME

### UNITS_ATTR

    public final static String UNITS_ATTR

### XMLNS_ATTR

    public final static String XMLNS_ATTR

Method Detail

### DEFAULT_SPATIAL_SIZE_UNITS

    public final static String DEFAULT_SPATIAL_SIZE_UNITS(int dimention)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM